summaryrefslogtreecommitdiffstats
path: root/.functests
diff options
context:
space:
mode:
Diffstat (limited to '.functests')
-rwxr-xr-x.functests28
1 files changed, 28 insertions, 0 deletions
diff --git a/.functests b/.functests
new file mode 100755
index 0000000..44739c0
--- /dev/null
+++ b/.functests
@@ -0,0 +1,28 @@
+#!/bin/bash
+
+# Copyright (c) 2014 Red Hat, Inc.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
+# implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+# This program expects to be run by tox in a virtual python environment
+# so that it does not pollute the host development system
+
+SRC_DIR=$(python -c "import os; print os.path.dirname(os.path.realpath('$0'))")
+set -e
+cd ${SRC_DIR}
+
+nosetests -v --exe test/functional
+rvalue=$?
+cd -
+exit $rvalue